insheet using iowa_warn.csv, comma names clear
drop if programyr == . & state == ""
drop programyr

keep if inlist(state,"IA","Ia")
replace state = upper(trim(state))

// Format Dates
gen announce_date = date(noticedate,"MDY")
gen layoff_date = date(layoffdate,"MDY")
format announce_date layoff_date %td
drop noticedate layoffdate
sort announce_date

g firm_name = upper(trim(company))
rename numberofemp workers_affected


// Deal with types of notices
replace typeotnotice = upper(trim(typeotnotice))
drop if typeotnotice == "AMENDMENT" // To be consistent with other states
drop if inlist(typeotnotice,"OTHER","TEMP LAY OFF","TEMP LAYOFF","TEMPORARY CLOSU")


// Add in Missing Counties
g county_name = upper(trim(county))
replace city = upper(trim(city))
replace city = "FAIRFIELD" if city == "FARIFIELD"
replace county_name = "JONES" if city == "ANAMOSA"
replace county_name = "TAYLOR" if city == "BEDFORD"
replace county_name = "LUCAS" if city == "CHARITON"
replace county_name = "CLINTON" if city == "CLINTON"
replace county_name = "CRAWFORD" if city == "DENISON"
replace county_name = "JEFFERSON" if city == "FAIRFIELD"
replace county_name = "POWESHIEK" if city == "GRINNELL"
replace county_name = "SHELBY" if city == "HARLAN"
replace county_name = "BLACK HAWK" if city == "HUDSON"
replace county_name = "MARION" if city == "KNOXVILLE"
replace county_name = "MONTGOMERY" if city == "RED OAK"
replace county_name = "DICKINSON" if city == "SPIRIT LAKE"
replace county_name = "BREMER" if city == "WAVERLY"

// Fix County Typos
replace county_name = "ALLAMAKEE" if county_name == "ALLAMAKE"
replace county_name = "BLACK HAWK" if county_name == "BLACKHAWK"
replace county_name = "DICKINSON" if county_name == "DICKENSON"
replace county_name = "MUSCATINE" if county_name == "MUSCATINE *"
replace county_name = "O'BRIEN" if county_name == "OBRIEN"
replace county_name = "POTTAWATTAMIE" if county_name == "POTTAWATTMIE"
replace county_name = "WASHINGTON" if county_name == "WASINGTON"
replace county_name = "WINNESHIEK" if county_name == "WINNESHEIK"


// Workers Affected Flags
g flag_affected = 0
replace flag_affected = 4 if workers_affected == .



// Final Fixes
replace layoff_date = mdy(10,20,2006) if ///
	firm_name == "GLEASON CORPORATION" & announce_date == mdy(8,18,2006)

// Save Cleaned Data
keeporder announce_date layoff_date firm_name state city county_name ///
    workers_affected flag_affected

save ia_warn, replace

