forval y = 2009/2016 {
    import excel warn_sc.xlsx, sheet("`y'") firstrow allstring clear
	tempfile sc`y'
    save `sc`y''
}
*

use `sc2009', clear
forval y = 2010/2016 {
    append using `sc`y'', force
}
*

g state = "SC"

ren Company firm_name
replace firm_name = upper(trim(firm_name))

ren Location loc_unknown_type
g layoff_date = date(Projected_Date,"MDY")

g workers_affected = real(ProjPositionsAffected)

replace ClosureorLayoff = upper(trim(ClosureorLayoff))
g layoff_type = 1
replace layoff_type = 2 if inlist(ClosureorLayoff,"CLOSING","CLOSURE")

ren NotificationMonth announce_month


g county_name = upper(trim(County))
g naics6 = real(NAICSCode)

keep announce_month layoff_date firm_name state loc_unknown_type county ///
	workers_affected layoff_type naics6
	
order announce_month layoff_date firm_name state loc_unknown_type county ///
	workers_affected layoff_type naics6

save sc_warn, replace
