forval y = 2004/2016 {
    import excel warn-act-listings-`y', allstring firstrow clear
	
	cap ren NOTICEDATE NOTICE_DATE
	cap ren JOBSITENAME JOB_SITE_NAME
	cap ren TOTALLAYOFFNUMBER TOTAL_LAYOFF_NUMBER
	cap ren LayOffDate LayOff_Date
	cap ren WDANAME WDA_NAME
	cap ren CITYNAME CITY_NAME
	cap ren COUNTYNAME COUNTY_NAME
	cap ren WFDDRECEIVEDDATE WFDD_RECEIVED_DATE 
	
	tempfile tx`y'
    save `tx`y''
	

}
*

use `tx2004', clear
forval y = 2005/2016 {
    append using `tx`y'', force
}
*

drop I J K L M N O P Q R S T U
drop if (NOTICE_DATE == "" & JOB_SITE_NAME == "" & COUNTY_NAME == "" & ///
    TOTAL_LAYOFF_NUMBER == "")
	
g state = "TX"

g announce_date = date(NOTICE_DATE,"MDY")
g layoff_date = date(LayOff_Date,"MDY")
g receive_date = date(WFDD_RECEIVED_DATE,"MDY")
format announce_date receive_date layoff_date %td

g county_name = trim(upper(COUNTY_NAME))
g firm_name = trim(upper(JOB_SITE_NAME))
g workers_affected = real(TOTAL_LAYOFF_NUMBER)


// Manuel # of Workers Affected Fixes
g flag_affected = 0

replace workers_affected = 100 if TOTAL_LAYOFF_NUMBER == "up to 100"
replace flag_affected = 2 if TOTAL_LAYOFF_NUMBER == "up to 100"
replace flag_affected = 4 if inlist(TOTAL_LAYOFF_NUMBER,"TBD","")




keeporder announce_date layoff_date receive_date firm_name state county_name ///
	workers_affected flag_affected


save tx_warn, replace

